## Class soap_envelope

zeep::http::soap_envelope

## Synopsis

    // In header: <zeep/http/soap-controller.hpp>

    class soap_envelope : public boost::noncopyable {
    public:
      // construct/copy/destruct
      soap_envelope();
      soap_envelope(std::string &);

      // public member functions
      xml::element & request();
    };

## Description

soap_envelope is a wrapper around a SOAP envelope. Use it for input and output of correctly formatted SOAP messages.

### `soap_envelope` public construct/copy/destruct

1.     soap_envelope();

   Create an empty envelope.

2.     soap_envelope(std::string & payload);

   Parse a SOAP message from the payload received from a client, throws an exception if the envelope is empty or invalid.

### `soap_envelope` public member functions

1.     xml::element & request();

   The request element as contained in the original SOAP message.